Bug 1629003 - CVE-2018-14643 rubygem-smart_proxy_dynflow: Authentication bypass in Foreman remote execution feature [rhn_satellite_6.3]
Summary: CVE-2018-14643 rubygem-smart_proxy_dynflow: Authentication bypass in Foreman ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Security
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
: 1630489 (view as bug list)
Depends On:
Blocks: CVE-2018-14643 1630974
TreeView+ depends on / blocked
 
Reported: 2018-09-14 15:47 UTC by Mike McCune
Modified: 2019-09-26 14:06 UTC (History)
18 users (show)

Fixed In Version: rubygem-smart_proxy_dynflow-0.1.10.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1630974 (view as bug list)
Environment:
Last Closed: 2018-09-20 17:21:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 25001 0 None None None 2018-09-20 19:03:28 UTC
Red Hat Product Errata RHSA-2018:2733 0 None None None 2018-09-20 17:21:23 UTC

Comment 7 jcallaha 2018-09-19 16:16:30 UTC
Verified.

I tested this against 6.3.3 and was able to run the arbitrary commands against the target host.

After installing the patch, further attempts were met with this error: 
"No client SSL certificate supplied".

Comment 8 Richard Maciel Costa 2018-09-20 14:17:35 UTC
*** Bug 1630489 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2018-09-20 17:21:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2733

Comment 11 Ivan Necas 2018-09-20 19:03:12 UTC
Created redmine issue https://projects.theforeman.org/issues/25001 from this bug


Note You need to log in before you can comment on or make changes to this bug.